@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
status_led.h File Reference
`#include "hardware/gpio.h"`
Include dependency graph for status_led.h:

Go to the source code of this file.

## Macros

#define | PICO_STATUS_LED_AVAILABLE 0
#define | PICO_COLORED_STATUS_LED_AVAILABLE 0
#define | PICO_STATUS_LED_VIA_COLORED_STATUS_LED (PICO_COLORED_STATUS_LED_AVAILABLE && !PICO_STATUS_LED_AVAILABLE)
#define | PICO_COLORED_STATUS_LED_USES_WRGB 0
#define | PICO_COLORED_STATUS_LED_COLOR_FROM_RGB(r, g, b)
| Generate an RGB color value for /ref colored_status_led_set_on_with_color.
#define | PICO_COLORED_STATUS_LED_COLOR_FROM_WRGB(w, r, g, b)
| Generate an WRGB color value for colored_status_led_set_on_with_color.
#define | PICO_DEFAULT_COLORED_STATUS_LED_ON_COLOR PICO_COLORED_STATUS_LED_COLOR_FROM_RGB(0xaa, 0xaa, 0xaa)

## Functions

bool | status_led_init (void)
| Initialize the status LED(s).
bool | status_led_init_with_context (struct async_context *context)
| Initialise the status LED(s).
static bool | colored_status_led_supported (void)
| Determine if the colored_status_led_ APIs are supported (i.e. if there is a colored status LED, and its use isn't disabled via PICO_COLORED_STATUS_LED_AVAILABLE being set to 0.
static bool | status_led_via_colored_status_led (void)
| Determine if the colored status LED is being used for the single-color status_led_ APIs.
static bool | status_led_supported (void)
| Determine if the single-color status_led_ APIs are supported (i.e. if there is a regular LED, and its use isn't disabled via PICO_STATUS_LED_AVAILABLE being set to 0, or if the colored status LED is being used for the single-color status_led_ APIs.
bool | colored_status_led_set_state (bool led_on)
| Set the colored status LED on or off.
bool | colored_status_led_get_state (void)
| Get the state of the colored status LED.
bool | colored_status_led_set_on_with_color (uint32_t color)
| Ensure the colored status LED is on, with the specified color.
uint32_t | colored_status_led_get_on_color (void)
| Get the color used for the status LED value when it is on.
static bool | status_led_set_state (bool led_on)
| Set the status LED on or off.
static bool | status_led_get_state ()
| Get the state of the status LED.
void | status_led_deinit ()
| De-initialize the status LED(s).